##
set filename=$1
set type=$2
awk -f ~/paper/srm/sims/print.awk dump.$filename > t
awk '($3=="DETECT"){print $1, $2}' t > setN
awk '($3=="NACK"){print $1, $2}' t > nack
awk '($3=="REPAIR"){print $1, $2}' t > repair
awk '($3=="SENDNACK"){print $1, $2}' t > sentnack
awk '($3=="SENDREP"){print $1, $2}' t > sentrepair
awk '($3=="IGNORES"){print $1, $2}' t > ignore
awk '($3=="NTIMER"){print $1, $2}' t > ntimer
awk '($3=="RTIMER"){print $1, $2}' t > rtimer
#
awk '($3=="LEFTINTERVAL") {print $2, $1, 2}' t > t1
awk '($3=="RIGHTINTERVAL") {print $2, $1, 1}' t >> t1
sort t1 > t2
awk '{t1=$2;if($1==n&&$2==t){t1+=0.1};print $1,t1,$3;n=$1;t=$2}' t2 > t1
##
awk '($3==2){print $2, $1}' t1 > left
awk '($3==1){print $2, $1}' t1 > right
##
s << !
setN _ matrix(scan("setN"),ncol=2,byr=T)
sentnack _ matrix(scan("sentnack"),ncol=2,byr=T)
sentrepair _ matrix(scan("sentrepair"),ncol=2,byr=T)
nack _ matrix(scan("nack"),ncol=2,byr=T)
repair _ matrix(scan("repair"),ncol=2,byr=T)
ignore _ matrix(scan("ignore"),ncol=2,byr=T)
ntimer _ matrix(scan("ntimer"),ncol=2,byr=T)
rtimer _ matrix(scan("rtimer"),ncol=2,byr=T)
left _ matrix(scan("left"),ncol=2,byr=T)
right _ matrix(scan("right"),ncol=2,byr=T)
xr _ range(0,nack[,1],repair[,1],ntimer[,1],rtimer[,1])
yr _ range(0,nack[,2],repair[,2],setN[2])
postscript("tests.ps", horizontal=F, height=6.0)
par(mgp=c(1,0,0))
par(mar=c(4,2,0,0))
par(tck=0.02)
par(pch=".")
plot(nack[,1],nack[,2],xlim=xr,ylim=yr,type="n",
xlab="Time", ylab="Node",
sub="$type")
points(setN[,1],setN[,2],type="p", pch=0)
points(sentnack[,1],sentnack[,2],type="p", pch=7)
points(sentrepair[,1],sentrepair[,2],type="p", pch=10)
points(nack[,1],nack[,2],type="p", pch=4)
points(repair[,1],repair[,2],type="p", pch=3)
points(ignore[,1],ignore[,2],type="p", pch=".")
points(ntimer[,1],ntimer[,2],type="p", pch="*")
points(rtimer[,1],rtimer[,2],type="p", pch="*")
par(lty=2)
points(left[,1],left[,2],type="p", pch="[")
points(right[,1],right[,2],type="p", pch="]")
q()
!
cp tests.ps graph.$filename.ps
