##
set filename=$1
set type=$2
set end=$3
awk -f ~/paper/wb/sims/print.awk dump.$filename > t
awk '($3=="DETECT"){print $1, $2}' t > setN
awk '($3=="NACK"){print $1, $2, "N"}' t > nack
awk '($3=="REPAIR"){print $1, $2}' t > repair
awk '($3=="SENDNACK"){print $1, $2}' t > sentnack
awk '($3=="SENDREP"){print $1, $2}' t > sentrepair
awk '($3=="IGNORES"){print $1, $2}' t > ignore
awk '($3=="NTIMER"){print $1, $2}' t > ntimer
awk '($3=="RTIMER"){print $1, $2}' t > rtimer
#
awk '($3=="LEFTINTERVAL") {print $2, $1, 2}' t > t1
awk '($3=="RIGHTINTERVAL") {print $2, $1, 1}' t >> t1
sort t1 > t2
awk '{t1=$2;if($1==n&&$2==t){t1+=0.1};print $1,t1,$3;n=$1;t=$2}' t2 > t1
##
awk '($3==2){print $2, $1}' t1 > left
awk '($3==1){print $2, $1}' t1 > right
##
cat setN > temp.rands
cat ntimer >> temp.rands  
cat sentnack >> temp.rands
cat nack >> temp.rands
cat rtimer >> temp.rands  
cat sentrepair >> temp.rands
cat repair >> temp.rands
cat ignore >> temp.rands
cat left >> temp.rands
cat right >> temp.rands
graph -n -r temp.rands &

# usage: graph [-f font] [-x x1,x2] [-y y1,y2] [-B]
#              [-b] [-l x] [-l y] [-m] [-l] [-p] [-s] [-o]
#              [-t] [-d host:display] [-g geometry] [ file ... ]
# 
# Fonts must be fixed width.
# -b    Forces black and white
# -B    Draw bar graph
# -c    Don't use off-screen pixmaps to enhance screen redraws
# -e    Draw error bars at each point
# -l x  Logarithmic scale for X axis
# -l y  Logarithmic scale for Y axis
# -m    Mark each data point with large dot
# -n    Don't draw lines (scatter plot)
# -o    Draws bounding box around data
# -p    If -m, mark each point with a pixel instead
# -r    Draw rectangle at each point
# -s    X notion of spline curves
# -t    Draw tick marks instead of full grid
# -u    Input files are ulaw encoded
